Show / Hide Table of Contents

# Delegate ConnectionService.OnConnectionHandler

Callback for onconnection handler

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task OnConnectionHandler(ConnectionInfo info);

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectionInfo | info |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |